--- old/usr/src/lib/libm/i386/src/hypotf.s	2014-11-25 12:59:23.524966717 -0500
+++ new/usr/src/lib/libm/i386/src/hypotf.s	2014-11-25 12:59:23.536487236 -0500
@@ -30,11 +30,8 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(hypotf,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
-#undef fabs
-
 	ENTRY(hypotf)
 	movl	4(%esp),%eax		/ eax <-- x
 	andl	$0x7fffffff,%eax	/ eax <-- |x|
--- old/usr/src/lib/libm/i386/src/ieee_funcl.s	2014-11-25 12:59:23.935483164 -0500
+++ new/usr/src/lib/libm/i386/src/ieee_funcl.s	2014-11-25 12:59:23.958056254 -0500
@@ -29,12 +29,6 @@
         .file "ieee_funcl.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(isinfl,function)
-LIBM_ANSI_PRAGMA_WEAK(isnormall,function)
-LIBM_ANSI_PRAGMA_WEAK(issubnormall,function)
-LIBM_ANSI_PRAGMA_WEAK(iszerol,function)
-LIBM_ANSI_PRAGMA_WEAK(signbitl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(isinfl)
 	movl	12(%esp),%eax		/ ax <-- sign and bexp of x 
--- old/usr/src/lib/libm/i386/src/ilogb.s	2014-11-25 12:59:24.698943003 -0500
+++ new/usr/src/lib/libm/i386/src/ilogb.s	2014-11-25 12:59:24.710644836 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ilogb,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 	.data
--- old/usr/src/lib/libm/i386/src/ilogbf.s	2014-11-25 12:59:25.120494762 -0500
+++ new/usr/src/lib/libm/i386/src/ilogbf.s	2014-11-25 12:59:25.131866138 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ilogbf,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 	.data
--- old/usr/src/lib/libm/i386/src/ilogbl.s	2014-11-25 12:59:25.645612909 -0500
+++ new/usr/src/lib/libm/i386/src/ilogbl.s	2014-11-25 12:59:25.657389844 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ilogbl,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 	.data
--- old/usr/src/lib/libm/i386/src/isnan.s	2014-11-25 12:59:26.254631612 -0500
+++ new/usr/src/lib/libm/i386/src/isnan.s	2014-11-25 12:59:26.266250824 -0500
@@ -39,7 +39,6 @@
 	.weak isnand
 	.type isnand,@function
 isnand	= __isnan
-#include "libm_synonyms.h"
 
 	ENTRY(isnan)
 	movl    8(%esp),%eax		/ eax <-- hi_32(x)
--- old/usr/src/lib/libm/i386/src/isnanf.s	2014-11-25 12:59:26.839240096 -0500
+++ new/usr/src/lib/libm/i386/src/isnanf.s	2014-11-25 12:59:26.850760909 -0500
@@ -33,7 +33,6 @@
 	.weak _isnanf
 	.type _isnanf,@function
 _isnanf	= __isnanf
-#include "libm_synonyms.h"
 
 	ENTRY(isnanf)
 	movl    4(%esp),%eax		/ eax <-- x
--- old/usr/src/lib/libm/i386/src/isnanl.s	2014-11-25 12:59:27.257511566 -0500
+++ new/usr/src/lib/libm/i386/src/isnanl.s	2014-11-25 12:59:27.268914009 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(isnanl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(isnanl)
 	movl    12(%esp),%eax		/ ax <-- sign bit and exp
--- old/usr/src/lib/libm/i386/src/llrint.s	2014-11-25 12:59:27.696203465 -0500
+++ new/usr/src/lib/libm/i386/src/llrint.s	2014-11-25 12:59:27.708029015 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(llrint,function)
-#include "libm_synonyms.h"
 
 	ENTRY(llrint)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/llrintf.s	2014-11-25 12:59:28.118290167 -0500
+++ new/usr/src/lib/libm/i386/src/llrintf.s	2014-11-25 12:59:28.129675417 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(llrintf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(llrintf)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/llrintl.s	2014-11-25 12:59:28.538709475 -0500
+++ new/usr/src/lib/libm/i386/src/llrintl.s	2014-11-25 12:59:28.550462295 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(llrintl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(llrintl)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/log.s	2014-11-25 12:59:28.940494585 -0500
+++ new/usr/src/lib/libm/i386/src/log.s	2014-11-25 12:59:28.952196549 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(log)
--- old/usr/src/lib/libm/i386/src/log10.s	2014-11-25 12:59:29.426123001 -0500
+++ new/usr/src/lib/libm/i386/src/log10.s	2014-11-25 12:59:29.438127014 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log10,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(log10)
--- old/usr/src/lib/libm/i386/src/log10f.s	2014-11-25 12:59:29.956418858 -0500
+++ new/usr/src/lib/libm/i386/src/log10f.s	2014-11-25 12:59:29.975059425 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log10f,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(log10f)
--- old/usr/src/lib/libm/i386/src/log10l.s	2014-11-25 12:59:30.464676341 -0500
+++ new/usr/src/lib/libm/i386/src/log10l.s	2014-11-25 12:59:30.476253989 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log10l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log10l)
 	fldlg2	
--- old/usr/src/lib/libm/i386/src/log2.s	2014-11-25 12:59:30.950897535 -0500
+++ new/usr/src/lib/libm/i386/src/log2.s	2014-11-25 12:59:30.962349536 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log2,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log2)
 	fld1			/ push 1.0
--- old/usr/src/lib/libm/i386/src/log2f.s	2014-11-25 12:59:31.356028532 -0500
+++ new/usr/src/lib/libm/i386/src/log2f.s	2014-11-25 12:59:31.367584783 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log2f,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log2f)
 	fld1			/ push 1.0
--- old/usr/src/lib/libm/i386/src/log2l.s	2014-11-25 12:59:31.764480183 -0500
+++ new/usr/src/lib/libm/i386/src/log2l.s	2014-11-25 12:59:31.776134105 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log2l)
 	fld1			/ push 1.0
--- old/usr/src/lib/libm/i386/src/logl.s	2014-11-25 12:59:32.169010047 -0500
+++ new/usr/src/lib/libm/i386/src/logl.s	2014-11-25 12:59:32.180521053 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(logl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(logl)
 	fldln2	
--- old/usr/src/lib/libm/i386/src/lrint.s	2014-11-25 12:59:32.656222483 -0500
+++ new/usr/src/lib/libm/i386/src/lrint.s	2014-11-25 12:59:32.667687987 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lrint,function)
-#include "libm_synonyms.h"
 
 	ENTRY(lrint)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/lrintf.s	2014-11-25 12:59:33.156302203 -0500
+++ new/usr/src/lib/libm/i386/src/lrintf.s	2014-11-25 12:59:33.167936224 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lrintf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(lrintf)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/lrintl.s	2014-11-25 12:59:33.570936538 -0500
+++ new/usr/src/lib/libm/i386/src/lrintl.s	2014-11-25 12:59:33.582481808 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lrintl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(lrintl)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/lround.s	2014-11-25 12:59:33.992688194 -0500
+++ new/usr/src/lib/libm/i386/src/lround.s	2014-11-25 12:59:34.004175850 -0500
@@ -30,8 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lround,function)
-#include "libm_synonyms.h"
-#undef fabs
 
 	.section .rodata
 	.align	4
--- old/usr/src/lib/libm/i386/src/lroundl.s	2014-11-25 12:59:34.644607142 -0500
+++ new/usr/src/lib/libm/i386/src/lroundl.s	2014-11-25 12:59:34.656430718 -0500
@@ -30,8 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lroundl,function)
-#include "libm_synonyms.h"
-#undef fabs
 
 	.section .rodata
 	.align	4
--- old/usr/src/lib/libm/i386/src/nextafter.s	2014-11-25 12:59:35.050631158 -0500
+++ new/usr/src/lib/libm/i386/src/nextafter.s	2014-11-25 12:59:35.062082538 -0500
@@ -33,7 +33,6 @@
 	.weak _nextafter
 	.type _nextafter,@function
 _nextafter	= __nextafter
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	.data
--- old/usr/src/lib/libm/i386/src/nextafterf.s	2014-11-25 12:59:35.465101683 -0500
+++ new/usr/src/lib/libm/i386/src/nextafterf.s	2014-11-25 12:59:35.476501256 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(nextafterf,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/nextafterl.s	2014-11-25 12:59:35.872907316 -0500
+++ new/usr/src/lib/libm/i386/src/nextafterl.s	2014-11-25 12:59:35.884360908 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(nextafterl,function)
-#include "libm_synonyms.h"
 
 	.section .rodata
 	.align	4
--- old/usr/src/lib/libm/i386/src/nexttowardl.s	2014-11-25 12:59:36.287097716 -0500
+++ new/usr/src/lib/libm/i386/src/nexttowardl.s	2014-11-25 12:59:36.298678362 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(nexttowardl,function)
-#include "libm_synonyms.h"
 
 	.section .rodata
 	.align	4
--- old/usr/src/lib/libm/i386/src/pow.s	2014-11-25 12:59:36.872743411 -0500
+++ new/usr/src/lib/libm/i386/src/pow.s	2014-11-25 12:59:36.884300267 -0500
@@ -59,12 +59,9 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(pow,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include "xpg6.h"
 
-#undef fabs
-
 	.data
 	.align	4
 negzero:
--- old/usr/src/lib/libm/i386/src/powf.s	2014-11-25 12:59:37.308503130 -0500
+++ new/usr/src/lib/libm/i386/src/powf.s	2014-11-25 12:59:37.320143179 -0500
@@ -58,12 +58,9 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(powf,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include "xpg6.h"
 
-#undef fabs
-
 	.data
 	.align	4
 negzero:
--- old/usr/src/lib/libm/i386/src/powl.s	2014-11-25 12:59:37.737993328 -0500
+++ new/usr/src/lib/libm/i386/src/powl.s	2014-11-25 12:59:37.751104092 -0500
@@ -55,11 +55,8 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(powl,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
-#undef fabs
-
 	.data
 	.align	4
 negzero:
--- old/usr/src/lib/libm/i386/src/remainder.s	2014-11-25 12:59:38.171361778 -0500
+++ new/usr/src/lib/libm/i386/src/remainder.s	2014-11-25 12:59:38.182771334 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainder,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remainder)
--- old/usr/src/lib/libm/i386/src/remainderf.s	2014-11-25 12:59:38.578308119 -0500
+++ new/usr/src/lib/libm/i386/src/remainderf.s	2014-11-25 12:59:38.589730296 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainderf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(remainderf)
 	flds	8(%esp)			/ load arg y
--- old/usr/src/lib/libm/i386/src/remainderl.s	2014-11-25 12:59:38.980005381 -0500
+++ new/usr/src/lib/libm/i386/src/remainderl.s	2014-11-25 12:59:38.992696117 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainderl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(remainderl)
 	fldt	16(%esp)		/ load arg y
--- old/usr/src/lib/libm/i386/src/remquo.s	2014-11-25 12:59:39.654953156 -0500
+++ new/usr/src/lib/libm/i386/src/remquo.s	2014-11-25 12:59:39.977457782 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remquo,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remquo)
--- old/usr/src/lib/libm/i386/src/remquof.s	2014-11-25 12:59:40.378660703 -0500
+++ new/usr/src/lib/libm/i386/src/remquof.s	2014-11-25 12:59:40.390268658 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remquof,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remquof)
--- old/usr/src/lib/libm/i386/src/remquol.s	2014-11-25 12:59:40.783765315 -0500
+++ new/usr/src/lib/libm/i386/src/remquol.s	2014-11-25 12:59:40.795358854 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remquol,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remquol)
--- old/usr/src/lib/libm/i386/src/rint.s	2014-11-25 12:59:41.191283260 -0500
+++ new/usr/src/lib/libm/i386/src/rint.s	2014-11-25 12:59:41.202708293 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(rint,function)
-#include "libm_synonyms.h"
 
 	ENTRY(rint)
 	fldl	4(%esp)			/ load x
--- old/usr/src/lib/libm/i386/src/rintf.s	2014-11-25 12:59:41.594928687 -0500
+++ new/usr/src/lib/libm/i386/src/rintf.s	2014-11-25 12:59:41.606344365 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(rintf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(rintf)
 	flds	4(%esp)			/ load x
--- old/usr/src/lib/libm/i386/src/rintl.s	2014-11-25 12:59:42.000000057 -0500
+++ new/usr/src/lib/libm/i386/src/rintl.s	2014-11-25 12:59:42.013162242 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(rintl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(rintl)
 	fldt	4(%esp)			/ load x
--- old/usr/src/lib/libm/i386/src/rndintl.s	2014-11-25 12:59:42.402870225 -0500
+++ new/usr/src/lib/libm/i386/src/rndintl.s	2014-11-25 12:59:42.414184794 -0500
@@ -29,12 +29,6 @@
         .file "rndintl.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(aintl,function)
-LIBM_ANSI_PRAGMA_WEAK(irintl,function)
-LIBM_ANSI_PRAGMA_WEAK(anintl,function)
-LIBM_ANSI_PRAGMA_WEAK(nintl,function)
-#include "libm_synonyms.h"
-#undef fabs
 
 	ENTRY(aintl)
 	movl	%esp,%eax
--- old/usr/src/lib/libm/i386/src/round.s	2014-11-25 12:59:42.842567481 -0500
+++ new/usr/src/lib/libm/i386/src/round.s	2014-11-25 12:59:42.853939338 -0500
@@ -30,8 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(round,function)
-#include "libm_synonyms.h"
-#undef fabs
 
 	.section .rodata
 	.align	4
--- old/usr/src/lib/libm/i386/src/roundl.s	2014-11-25 12:59:43.252331701 -0500
+++ new/usr/src/lib/libm/i386/src/roundl.s	2014-11-25 12:59:43.263785012 -0500
@@ -30,8 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(roundl,function)
-#include "libm_synonyms.h"
-#undef fabs
 
 	.section .rodata
 	.align	4
--- old/usr/src/lib/libm/i386/src/scalbln.s	2014-11-25 12:59:43.655631805 -0500
+++ new/usr/src/lib/libm/i386/src/scalbln.s	2014-11-25 12:59:43.666972483 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbln,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbln)
 	fildl	12(%esp)		/ convert N to extended
--- old/usr/src/lib/libm/i386/src/scalblnf.s	2014-11-25 12:59:44.062431359 -0500
+++ new/usr/src/lib/libm/i386/src/scalblnf.s	2014-11-25 12:59:44.073766122 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalblnf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalblnf)
 	fildl	8(%esp)			/ convert N to extended
--- old/usr/src/lib/libm/i386/src/scalblnl.s	2014-11-25 12:59:44.991406868 -0500
+++ new/usr/src/lib/libm/i386/src/scalblnl.s	2014-11-25 12:59:45.003364393 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalblnl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalblnl)
 	fildl	16(%esp)		/ convert 32-bit integer N
--- old/usr/src/lib/libm/i386/src/scalbn.s	2014-11-25 12:59:45.394881718 -0500
+++ new/usr/src/lib/libm/i386/src/scalbn.s	2014-11-25 12:59:45.406471966 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbn,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbn)
 	fildl	12(%esp)		/ convert N to extended
--- old/usr/src/lib/libm/i386/src/scalbnf.s	2014-11-25 12:59:45.826118246 -0500
+++ new/usr/src/lib/libm/i386/src/scalbnf.s	2014-11-25 12:59:45.837527576 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbnf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbnf)
 	fildl	8(%esp)			/ convert N to extended
--- old/usr/src/lib/libm/i386/src/scalbnl.s	2014-11-25 12:59:46.228536324 -0500
+++ new/usr/src/lib/libm/i386/src/scalbnl.s	2014-11-25 12:59:46.241304787 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbnl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbnl)
 	fildl	16(%esp)		/ convert 32-bit integer N
--- old/usr/src/lib/libm/i386/src/sin.s	2014-11-25 12:59:46.634983062 -0500
+++ new/usr/src/lib/libm/i386/src/sin.s	2014-11-25 12:59:46.646599729 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(sin,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(sin)
--- old/usr/src/lib/libm/i386/src/sincos.s	2014-11-25 12:59:47.039138576 -0500
+++ new/usr/src/lib/libm/i386/src/sincos.s	2014-11-25 12:59:47.050775090 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(sincos,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(sincos)
--- old/usr/src/lib/libm/i386/src/sqrtl.s	2014-11-25 12:59:47.442356112 -0500
+++ new/usr/src/lib/libm/i386/src/sqrtl.s	2014-11-25 12:59:47.454054822 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(sqrtl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(sqrtl)
 	fldt	4(%esp)
--- old/usr/src/lib/libm/i386/src/tan.s	2014-11-25 12:59:47.847857074 -0500
+++ new/usr/src/lib/libm/i386/src/tan.s	2014-11-25 12:59:47.859448215 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(tan,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(tan)
--- old/usr/src/lib/libm/i386/src/trunc.s	2014-11-25 12:59:48.252731136 -0500
+++ new/usr/src/lib/libm/i386/src/trunc.s	2014-11-25 12:59:48.264275009 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(trunc,function)
-#include "libm_synonyms.h"
 
 	ENTRY(trunc)
 	movl	%esp,%eax
--- old/usr/src/lib/libm/i386/src/truncl.s	2014-11-25 12:59:48.674808837 -0500
+++ new/usr/src/lib/libm/i386/src/truncl.s	2014-11-25 12:59:48.686263697 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(truncl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(truncl)
 	movl	%esp,%eax
--- old/usr/src/lib/libm/sparc/src/copysign.S	2014-11-25 12:59:49.106587570 -0500
+++ new/usr/src/lib/libm/sparc/src/copysign.S	2014-11-25 12:59:49.131954496 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysign,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysign)
 	sethi	%hi(0x80000000),%o3
--- old/usr/src/lib/libm/sparc/src/fabs.S	2014-11-25 12:59:50.097295490 -0500
+++ new/usr/src/lib/libm/sparc/src/fabs.S	2014-11-25 12:59:50.108940963 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabs,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabs)
 	sethi	%hi(0x80000000),%o2
--- old/usr/src/lib/libm/sparc/src/nextafter.S	2014-11-25 12:59:50.504698556 -0500
+++ new/usr/src/lib/libm/sparc/src/nextafter.S	2014-11-25 12:59:50.516319456 -0500
@@ -33,17 +33,8 @@
 	.weak _nextafter
 	.type _nextafter,#function
 _nextafter	= __nextafter
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
-#if defined(LIBM_BUILD)	&& !defined(ELFOBJ)
-#define	mENTRY(x)	ENTRY(__libm/**/x)
-#define	mNAME(x)	NAME(__libm/**/x)
-#else
-#define	mENTRY(x)	ENTRY(x)
-#define	mNAME(x)	NAME(x)
-#endif
-
 	RO_DATA
 	.align	8
 .Lconstant:
@@ -110,7 +101,7 @@
 	cmp	%i2,%l3
 	bne,a	9f			! next_return
 	ldd	[%fp+x],%f0
-	call	mNAME(_SVID_libm_err)	! overflow
+	call	NAME(_SVID_libm_err)	! overflow
 	or	%g0,46,%o4
 	ba	9f
 	nop
--- old/usr/src/lib/libmvec/Makefile.com	2014-11-25 12:59:50.946802143 -0500
+++ new/usr/src/lib/libmvec/Makefile.com	2014-11-25 12:59:50.958582778 -0500
@@ -92,8 +92,7 @@
 		vz_abs_.o \
 		vz_exp_.o \
 		vz_log_.o \
-		vz_pow_.o \
-		#end
+		vz_pow_.o
 
 mvecvisCOBJS	= \
 		__vTBL_atan1.o \
@@ -108,8 +107,7 @@
 		__vsinbig.o \
 		__vsinbigf.o \
 		__vsincosbig.o \
-		__vsincosbigf.o \
-		#end
+		__vsincosbigf.o
 
 mvecvisSOBJS	= \
 		__vatan.o \
@@ -135,8 +133,7 @@
 		__vsincosf.o \
 		__vsinf.o \
 		__vsqrt.o \
-		__vsqrtf.o \
-		#end
+		__vsqrtf.o
 
 mvecvis2COBJS	= \
 		__vTBL_sincos.o \
@@ -146,15 +143,13 @@
 		__vcosbig_ultra3.o \
 		__vrem_pio2m.o \
 		__vsinbig.o \
-		__vsinbig_ultra3.o \
-		#end
+		__vsinbig_ultra3.o
 
 mvecvis2SOBJS	= \
 		__vcos_ultra3.o \
 		__vlog_ultra3.o \
 		__vsin_ultra3.o \
-		__vsqrtf_ultra3.o \
-		#end
+		__vsqrtf_ultra3.o
 
 include		$(SRC)/lib/Makefile.lib
 include		$(SRC)/lib/Makefile.rootfs
@@ -162,7 +157,7 @@
 
 LIBS		= $(DYNLIB)
 SRCDIR		= ../common/
-DYNFLAGS	+= -zignore
+DYNFLAGS	+= $(ZIGNORE)
 
 LINTERROFF	= -erroff=E_FP_DIVISION_BY_ZERO 
 LINTERROFF	+= -erroff=E_FP_INVALID
@@ -177,8 +172,6 @@
 CLAGS		+= $(LINTERROFF)
 CFLAGS64	+= $(LINTERROFF)
 
-ASDEF		+= -DLIBMVEC_SO_BUILD
-
 FLTRPATH_sparc		= $$ORIGIN/cpu/$$ISALIST/libmvec_isa.so.1
 FLTRPATH_sparcv9	= $$ORIGIN/../cpu/$$ISALIST/sparcv9/libmvec_isa.so.1
 FLTRPATH_i386		= $$ORIGIN/libmvec/$$HWCAP
@@ -188,18 +181,12 @@
 sparcv9_CFLAGS += -_cc=-W0,-xintrinsic
 CPPFLAGS_i386	+= -Dfabs=__fabs
 
-CPPFLAGS	+= -DLIBMVEC_SO_BUILD
+SRCS_mvec_i386 = ../common/__vsqrtf.c
+
+SRCS_mvec_sparc = $(SRCS_mvec_i386)
+
+SRCS_mvec_sparcv9 = $(SRCS_mvec_i386)
 
-SRCS_mvec_i386 = \
-	../common/__vsqrtf.c \
-	#end
-
-SRCS_mvec_sparc = \
-	$(SRCS_mvec_i386) \
-	#end
-SRCS_mvec_sparcv9 = \
-	$(SRCS_mvec_i386) \
-	#end
 
 SRCS_mvec = \
 	$(SRCS_mvec_$(TARGETMACH)) \
@@ -278,8 +265,7 @@
 	../common/vz_abs_.c \
 	../common/vz_exp_.c \
 	../common/vz_log_.c \
-	../common/vz_pow_.c \
-	#end
+	../common/vz_pow_.c
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libmvec/common/__vhypot.c	2014-11-25 12:59:51.684766947 -0500
+++ new/usr/src/lib/libmvec/common/__vhypot.c	2014-11-25 12:59:51.696101763 -0500
@@ -28,7 +28,6 @@
  */
 
 #include <sys/isa_defs.h>
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef _LITTLE_ENDIAN
@@ -66,8 +65,6 @@
  *	results.
  */
 
-#define sqrt __sqrt
-
 extern double sqrt(double);
 extern double fabs(double);
 
@@ -394,4 +391,3 @@
 		pz += stridez;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vhypotf.c	2014-11-25 12:59:52.127675251 -0500
+++ new/usr/src/lib/libmvec/common/__vhypotf.c	2014-11-25 12:59:52.139161822 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef __RESTRICT
@@ -36,8 +35,6 @@
 #define restrict
 #endif
 
-#define sqrt __sqrt
-
 extern double sqrt(double);
 
 void
--- old/usr/src/lib/libmvec/common/__vrhypot.c	2014-11-25 12:59:52.542548651 -0500
+++ new/usr/src/lib/libmvec/common/__vrhypot.c	2014-11-25 12:59:52.554132893 -0500
@@ -28,7 +28,6 @@
  */
 
 #include <sys/isa_defs.h>
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef _LITTLE_ENDIAN
@@ -67,10 +66,7 @@
  *	results.
  */
 
-#define sqrt __sqrt
-
 extern double sqrt(double);
-
 extern double fabs(double);
 
 static const int __vlibm_TBL_rhypot[] = {
@@ -428,4 +424,3 @@
 		}
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vrhypotf.c	2014-11-25 12:59:52.974640971 -0500
+++ new/usr/src/lib/libmvec/common/__vrhypotf.c	2014-11-25 12:59:52.986235411 -0500
@@ -28,7 +28,6 @@
  */
 
 #include <sys/isa_defs.h>
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef _LITTLE_ENDIAN
@@ -219,8 +218,6 @@
  5.0393700787401574104e-01, 1.7747130188322274291e-01,
 };
 
-#define	fabsf	__fabsf
-
 extern float fabsf(float);
 
 static const double
@@ -462,4 +459,3 @@
 		pz += stridez;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vrsqrt.c	2014-11-25 12:59:53.412972025 -0500
+++ new/usr/src/lib/libmvec/common/__vrsqrt.c	2014-11-25 12:59:53.424566057 -0500
@@ -28,7 +28,6 @@
  */
 
 #include <sys/isa_defs.h>
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef _LITTLE_ENDIAN
@@ -83,8 +82,6 @@
  *	results.
  */
 
-#define sqrt __sqrt
-
 extern double sqrt (double);
 extern const double __vlibm_TBL_rsqrt[];
 
@@ -412,4 +409,3 @@
 		py += stridey;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vrsqrtf.c	2014-11-25 12:59:53.845823938 -0500
+++ new/usr/src/lib/libmvec/common/__vrsqrtf.c	2014-11-25 12:59:53.857574908 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef __RESTRICT
@@ -71,8 +70,6 @@
  *	whole float type range.
  */
 
-#define sqrtf __sqrtf
-
 extern float sqrtf(float);
 
 static const double __TBL_rsqrtf[] = {
@@ -503,4 +500,3 @@
 		py += stridey;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vsqrt.c	2014-11-25 12:59:54.461463116 -0500
+++ new/usr/src/lib/libmvec/common/__vsqrt.c	2014-11-25 12:59:54.485477136 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef __RESTRICT
@@ -36,8 +35,6 @@
 #define restrict
 #endif
 
-#define sqrt __sqrt
-
 extern double sqrt(double);
 
 void
@@ -50,4 +47,3 @@
 		y += stridey;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vsqrtf.c	2014-11-25 12:59:54.917170908 -0500
+++ new/usr/src/lib/libmvec/common/__vsqrtf.c	2014-11-25 12:59:54.928627098 -0500
@@ -33,11 +33,8 @@
 #define restrict
 #endif
 
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
-#define sqrtf __sqrtf
-
 extern float sqrtf(float);
 
 void
@@ -50,4 +47,3 @@
 		y += stridey;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/vcos_.c	2014-11-25 12:59:55.327311235 -0500
+++ new/usr/src/lib/libmvec/common/vcos_.c	2014-11-25 12:59:55.338963721 -0500
@@ -29,46 +29,11 @@
 
 extern void __vcos(int, double *, int, double *, int);
 
-#if !defined(LIBMVEC_SO_BUILD)
-#if defined(ARCH_v8plusa) || defined(ARCH_v8plusb) || defined(ARCH_v9a) || defined(ARCH_v9b)
-#define CHECK_ULTRA3
-#endif
-#endif	/* !defined(LIBMVEC_SO_BUILD) */
-
-#ifdef CHECK_ULTRA3
-#include <strings.h>
-#define sysinfo _sysinfo
-#include <sys/systeminfo.h>
-
-#define BUFLEN	257
-
-static int use_ultra3 = 0;
-
-extern void __vcos_ultra3(int, double *, int, double *, int);
-#endif
-
 #pragma weak vcos_ = __vcos_
 
 /* just invoke the serial function */
 void
 __vcos_(int *n, double *x, int *stridex, double *y, int *stridey)
 {
-#ifdef CHECK_ULTRA3
-	int		u;
-	char	buf[BUFLEN];
-
-	u = use_ultra3;
-	if (!u) {
-		/* use __vcos_ultra3 on Cheetah (and ???) */
-		if (sysinfo(SI_ISALIST, buf, BUFLEN) > 0 && !strncmp(buf, "sparcv9+vis2", 12))
-			u = 3;
-		else
-			u = 1;
-		use_ultra3 = u;
-	}
-	if (u & 2)
-		__vcos_ultra3(*n, x, *stridex, y, *stridey);
-	else
-#endif
 	__vcos(*n, x, *stridex, y, *stridey);
 }
--- old/usr/src/lib/libmvec/common/vis/__vcos_ultra3.S	2014-11-25 12:59:55.734002338 -0500
+++ new/usr/src/lib/libmvec/common/vis/__vcos_ultra3.S	2014-11-25 12:59:55.747042972 -0500
@@ -29,11 +29,9 @@
 	.file	"__vcos_ultra3.S"
 
 #include "libm.h"
-#if defined(LIBMVEC_SO_BUILD)
 	.weak	__vcos
 	.type	__vcos,#function
 	__vcos = __vcos_ultra3
-#endif
 
 	RO_DATA
 	.align	64
--- old/usr/src/lib/libmvec/common/vis/__vlog_ultra3.S	2014-11-25 12:59:56.337160418 -0500
+++ new/usr/src/lib/libmvec/common/vis/__vlog_ultra3.S	2014-11-25 12:59:56.349106863 -0500
@@ -29,11 +29,9 @@
 	.file	"__vlog_ultra3.S"
 
 #include "libm.h"
-#if defined(LIBMVEC_SO_BUILD)
 	.weak	__vlog
 	.type	__vlog,#function
 	__vlog = __vlog_ultra3
-#endif
 
 /*
  * ELEVENBIT table and order 5 POLYNOMIAL no explicit correction t
--- old/usr/src/lib/libmvec/common/vis/__vsin_ultra3.S	2014-11-25 12:59:56.977216996 -0500
+++ new/usr/src/lib/libmvec/common/vis/__vsin_ultra3.S	2014-11-25 12:59:56.990171848 -0500
@@ -29,11 +29,9 @@
 	.file	"__vsin_ultra3.S"
 
 #include "libm.h"
-#if defined(LIBMVEC_SO_BUILD)
 	.weak	__vsin
 	.type	__vsin,#function
 	__vsin = __vsin_ultra3
-#endif
 
 	RO_DATA
 	.align	64
--- old/usr/src/lib/libmvec/common/vis/__vsqrtf_ultra3.S	2014-11-25 12:59:57.593001631 -0500
+++ new/usr/src/lib/libmvec/common/vis/__vsqrtf_ultra3.S	2014-11-25 12:59:57.604448831 -0500
@@ -29,11 +29,9 @@
 	.file	"__vsqrtf_ultra3.S"
 
 #include "libm.h"
-#if defined(LIBMVEC_SO_BUILD)
 	.weak	__vsqrtf
 	.type	__vsqrtf,#function
 	__vsqrtf = __vsqrtf_ultra3
-#endif
 
 	RO_DATA
 	.align	64
--- old/usr/src/lib/libmvec/common/vlog_.c	2014-11-25 12:59:58.088284092 -0500
+++ new/usr/src/lib/libmvec/common/vlog_.c	2014-11-25 12:59:58.099581037 -0500
@@ -29,46 +29,11 @@
 
 extern void __vlog(int, double *, int, double *, int);
 
-#if !defined(LIBMVEC_SO_BUILD)
-#if defined(ARCH_v8plusa) || defined(ARCH_v8plusb) || defined(ARCH_v9a) || defined(ARCH_v9b)
-#define CHECK_ULTRA3
-#endif
-#endif	/* !defined(LIBMVEC_SO_BUILD) */
-
-#ifdef CHECK_ULTRA3
-#include <strings.h>
-#define sysinfo _sysinfo
-#include <sys/systeminfo.h>
-
-#define BUFLEN	257
-
-static int use_ultra3 = 0;
-
-extern void __vlog_ultra3(int, double *, int, double *, int);
-#endif
-
 #pragma weak vlog_ = __vlog_
 
 /* just invoke the serial function */
 void
 __vlog_(int *n, double *x, int *stridex, double *y, int *stridey)
 {
-#ifdef CHECK_ULTRA3
-	int		u;
-	char	buf[BUFLEN];
-
-	u = use_ultra3;
-	if (!u) {
-		/* use __vlog_ultra3 on Cheetah (and ???) */
-		if (sysinfo(SI_ISALIST, buf, BUFLEN) > 0 && !strncmp(buf, "sparcv9+vis2", 12))
-			u = 3;
-		else
-			u = 1;
-		use_ultra3 = u;
-	}
-	if (u & 2)
-		__vlog_ultra3(*n, x, *stridex, y, *stridey);
-	else
-#endif
 	__vlog(*n, x, *stridex, y, *stridey);
 }
--- old/usr/src/lib/libmvec/common/vsin_.c	2014-11-25 12:59:58.496420636 -0500
+++ new/usr/src/lib/libmvec/common/vsin_.c	2014-11-25 12:59:58.507743360 -0500
@@ -29,46 +29,11 @@
 
 extern void __vsin(int, double *, int, double *, int);
 
-#if !defined(LIBMVEC_SO_BUILD)
-#if defined(ARCH_v8plusa) || defined(ARCH_v8plusb) || defined(ARCH_v9a) || defined(ARCH_v9b)
-#define CHECK_ULTRA3
-#endif
-#endif	/* !defined(LIBMVEC_SO_BUILD) */
-
-#ifdef CHECK_ULTRA3
-#include <strings.h>
-#define sysinfo _sysinfo
-#include <sys/systeminfo.h>
-
-#define BUFLEN	257
-
-static int use_ultra3 = 0;
-
-extern void __vsin_ultra3(int, double *, int, double *, int);
-#endif
-
 #pragma weak vsin_ = __vsin_
 
 /* just invoke the serial function */
 void
 __vsin_(int *n, double *x, int *stridex, double *y, int *stridey)
 {
-#ifdef CHECK_ULTRA3
-	int		u;
-	char	buf[BUFLEN];
-
-	u = use_ultra3;
-	if (!u) {
-		/* use __vsin_ultra3 on Cheetah (and ???) */
-		if (sysinfo(SI_ISALIST, buf, BUFLEN) > 0 && !strncmp(buf, "sparcv9+vis2", 12))
-			u = 3;
-		else
-			u = 1;
-		use_ultra3 = u;
-	}
-	if (u & 2)
-		__vsin_ultra3(*n, x, *stridex, y, *stridey);
-	else
-#endif
 	__vsin(*n, x, *stridex, y, *stridey);
 }
--- old/usr/src/lib/libmvec/common/vsqrtf_.c	2014-11-25 12:59:58.901733890 -0500
+++ new/usr/src/lib/libmvec/common/vsqrtf_.c	2014-11-25 12:59:58.920064706 -0500
@@ -29,46 +29,11 @@
 
 extern void __vsqrtf(int, float *, int, float *, int);
 
-#if !defined(LIBMVEC_SO_BUILD)
-#if defined(ARCH_v8plusa) || defined(ARCH_v8plusb) || defined(ARCH_v9a) || defined(ARCH_v9b)
-#define CHECK_ULTRA3
-#endif
-#endif	/* !defined(LIBMVEC_SO_BUILD) */
-
-#ifdef CHECK_ULTRA3
-#include <strings.h>
-#define sysinfo _sysinfo
-#include <sys/systeminfo.h>
-
-#define BUFLEN	257
-
-static int use_ultra3 = 0;
-
-extern void __vsqrtf_ultra3(int, float *, int, float *, int);
-#endif
-
 #pragma weak vsqrtf_ = __vsqrtf_
 
 /* just invoke the serial function */
 void
 __vsqrtf_(int *n, float *x, int *stridex, float *y, int *stridey)
 {
-#ifdef CHECK_ULTRA3
-	int		u;
-	char	buf[BUFLEN];
-
-	u = use_ultra3;
-	if (!u) {
-		/* use __vsqrtf_ultra3 on Cheetah (and ???) */
-		if (sysinfo(SI_ISALIST, buf, BUFLEN) > 0 && !strncmp(buf, "sparcv9+vis2", 12))
-			u = 3;
-		else
-			u = 1;
-		use_ultra3 = u;
-	}
-	if (u & 2)
-		__vsqrtf_ultra3(*n, x, *stridex, y, *stridey);
-	else
-#endif
 	__vsqrtf(*n, x, *stridex, y, *stridey);
 }
